%define version 1.3.40 

summary: Intel(R) PRO adapters SNMP extension for Linux
name: inic-snmp
version: %{version}
release: RH8x
source: %{name}-%{version}.tar.gz
vendor: Intel Corporation
copyright: BSD with patent grant
exclusiveos: linux
group: System/Configuration/Networking
url: http://support.intel.com/support/go/linux/snmp.htm
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: net-snmp
provides: %{name}

%description
This package contains the Linux SNMP extension for the PRO/LAN adapters.

%prep
%setup

%build

%install
# install the driver into the build root
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/snmp/mibs
cp ia32/* $RPM_BUILD_ROOT/usr/sbin
cp INTEL-*.txt $RPM_BUILD_ROOT/usr/share/snmp/mibs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/snmp/mibs/*
/usr/sbin/*
%doc LICENSE
%doc README

%post
echo pass .1.3.6.1.4.1.343.2.7.2 /usr/sbin/inic_extension >> /etc/snmp/snmpd.conf

%postun
sed -e 's/.*inic_extension.*//' /etc/snmp/snmpd.conf > /tmp/snmpd.conf
cp -f /tmp/snmpd.conf /etc/snmp/
